<block-ui message="Loading..."> </block-ui>
<div class="col-xl-12 c-alert pl-0 pr-0">
    <app-alert [message]="displaySuccessMessage" [type]="messageType.success" id="alert"> </app-alert>
</div>

<div class="">
    <h3 class="mb-3 mt-3" id="heading">Treatment Notes Template</h3>
    <mat-tab-group color="warn">
        <mat-tab label="Details">
            <div class=" mt-3">
                <div class=" d-flex justify-content-end align-items-center">
                    <div *ngIf="treatmentNotesShow" class="ml-auto">
                        <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="ml-3" value="active" (change)="treatmentNotesActiveChanged($event)">
                            <mat-button-toggle value="active" id="mat-button-toggle-11">Active</mat-button-toggle>
                            <mat-button-toggle value="inactive" id="mat-button-toggle-12">Inacitve</mat-button-toggle>
                        </mat-button-toggle-group>
                    </div>
                    <div class="ml-3">
                        <button mat-stroked-button color="accent" [routerLink]="['/settings/templatelibrary']">
              Template Library
            </button>
                    </div>
                    <div class="ml-3">
                        <button *appAccess="moduleName;lookFor: 'C'" mat-raised-button color="accent" [routerLink]="['/settings/treatmentnotestemplate/add']" class="wide">
              Add Template
            </button>
                    </div>
                </div>
            </div>

            <div *ngIf="treatmentNotesShow" class="mt-3">
                <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="true" (pageChange)="pageChange($event)" [sortable]="{
                    allowUnsort: allowUnsort,
                    mode: multiple ? 'multiple' : 'single'
                  }" [sort]="sort" (sortChange)="sortChange($event)" [filterable]="true" [filter]="state.filter" (dataStateChange)="dataStateChange($event)" [groupable]="true" [group]="groups" [reorderable]="reorder" (groupChange)="groupChange($event)">
                    <kendo-grid-column width="80" field="templateName">
                        <ng-template kendoGridHeaderTemplate let-column let-columnIndex="columnIndex">
                            Name
                        </ng-template>
                        <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                            <h6>
                                <strong>
                  <a [routerLink]="[
                      '/settings/treatmentnotestemplate/edit',
                      dataItem.id
                    ]">
                    {{ dataItem.templateName }}
                  </a>
                </strong>
                            </h6>
                        </ng-template>
                    </kendo-grid-column>
                    <kendo-grid-column field="allLocationName" title="Location" width="50"></kendo-grid-column>
                    <kendo-grid-column field="allSpecialityName" title="Speciality" width="70"></kendo-grid-column>

                    <kendo-grid-column width="40" field="isShared">
                        <ng-template kendoGridHeaderTemplate let-column let-columnIndex="columnIndex">
                            Shared to Library
                        </ng-template>
                        <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                            {{ dataItem.isShared | yesNo }}
                        </ng-template>
                    </kendo-grid-column>

                    <kendo-grid-column field="createdBy" title="Created By" width="40"></kendo-grid-column>
                </kendo-grid>
            </div>
            <app-grid-no-data [title]="treatmentNotesTitle" [routeLink]="treatmentNotesRouteLink" [routeName]="treatmentNotesRouteName" [description]="treatmentNotesDescription" id="treatmentNotesNoData">
            </app-grid-no-data>
        </mat-tab>
    </mat-tab-group>
</div>
